import { ChangeDetectionStrategy, ChangeDetectorRef, Component, ViewChild } from '@angular/core';
import { CountryRenewableElectricityItem, CountryRenewableElectricity } from './CountryRenewableElectricity';
import { IgxLegendComponent, IgxCategoryChartComponent } from 'igniteui-angular-charts';


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class AppComponent {
  title = 'kb9166-app1';

  public constructor(private _detector: ChangeDetectorRef) {
  }

  @ViewChild("legend", { static: true } )
  private legend: IgxLegendComponent | undefined;
  @ViewChild("chart", { static: true } )
  private chart: IgxCategoryChartComponent | undefined;

  private _countryRenewableElectricity: CountryRenewableElectricity | null = null;
  public get countryRenewableElectricity(): CountryRenewableElectricity {
    if (this._countryRenewableElectricity == null)
    {
        this._countryRenewableElectricity = new CountryRenewableElectricity();
    }
    return this._countryRenewableElectricity;
  }
}
